<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>219004</bug_id>
          
          <creation_ts>2008-04-23 10:08 0000</creation_ts>
          <short_desc>app-emulation/pearpc-0.4 : can&apos;t emerge</short_desc>
          <delta_ts>2008-06-12 22:59:08 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Ebuilds</component>
          <version>unspecified</version>
          <rep_platform>x86</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>normal</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>f.mensik@tiscali.cz</reporter>
          <assigned_to>darkside@gentoo.org</assigned_to>
          <cc>maintainer-needed@gentoo.org</cc>
    
    <cc>mistergibson@gmail.com</cc>

      

      
          <long_desc isprivate="0">
            <who>f.mensik@tiscali.cz</who>
            <bug_when>2008-04-23 10:08:03 0000</bug_when>
            <thetext>I counld&apos;t build app-emulation/pearpc-0.4.ebuild package.
The original ebuild file was complaining, that it couldn&apos;t find enabled TUN/TAP in actual kernel&apos;s .config file, but the option was enabled there.
I have Gentoo 2.0.0 running on x86 computer.


Here&apos;s my patch:
--- pearpc-0.4.ebuild_orig	2008-04-23 10:49:50.000000000 +0200
+++ pearpc-0.4.ebuild	2008-04-23 11:32:37.000000000 +0200
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/app-emulation/pearpc/pearpc-0.4.ebuild,v 1.7 2007/07/22 09:26:13 omp Exp $
 
-inherit eutils flag-o-matic linux-info
+inherit eutils flag-o-matic linux-mod linux-info
 
 DESCRIPTION=&quot;PowerPC Architecture Emulator&quot;
 HOMEPAGE=&quot;http://pearpc.sourceforge.net/&quot;
@@ -34,7 +34,10 @@
 }
 
 pkg_setup() {
-	linux_chkconfig_present TUN &amp;&amp; die &quot;You must have TUN/TAP enabled in your kernel.&quot;
+	linux-mod_pkg_setup
+	if ! linux_chkconfig_present TUN; then
+		die &quot;You must have TUN/TAP enabled in your kernel.&quot;
+	fi
 }
 
 src_compile() {



Reproducible: Always</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>darkside@gentoo.org</who>
            <bug_when>2008-05-29 15:42:53 0000</bug_when>
            <thetext>(In reply to comment #0)

&gt; -       linux_chkconfig_present TUN &amp;&amp; die &quot;You must have TUN/TAP enabled in

Isn&apos;t the logic just wrong here. If it IS present then die? huh?

How about:
&quot;linux_chkconfig_present TUN || die &quot;You must have TUN/TAP enabled in ...&quot;</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>darkside@gentoo.org</who>
            <bug_when>2008-06-12 22:58:16 0000</bug_when>
            <thetext>(In reply to comment #1)
&gt; (In reply to comment #0)
&gt; 
&gt; &gt; -       linux_chkconfig_present TUN &amp;&amp; die &quot;You must have TUN/TAP enabled in
&gt; 
&gt; Isn&apos;t the logic just wrong here. If it IS present then die? huh?
&gt; 
&gt; How about:
&gt; &quot;linux_chkconfig_present TUN || die &quot;You must have TUN/TAP enabled in ...&quot;
&gt; 

I was wrong, sorry bout that. The ebuild was just plain wrong. I used your fix, thanks!
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>darkside@gentoo.org</who>
            <bug_when>2008-06-12 22:59:08 0000</bug_when>
            <thetext>*** Bug 209625 has been marked as a duplicate of this bug. ***</thetext>
          </long_desc>
      
    </bug>

</bugzilla>